- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.request_body)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.SearchEntriesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#body.aspect_1)
- [SearchEntriesResult](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#SearchEntriesResult)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#SearchEntriesResult.SCHEMA_REPRESENTATION)
- [Snippets](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#Snippets)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#Snippets.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#try-it)

Searches for Entries matching the given query and scope.

### HTTP request

`POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*}:searchEntries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The project to which the request should be attributed in the following form: `projects/{project}/locations/global`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dataplex.projects.search` |

### Query parameters

| Parameters ||
|---|---|
| `query` | `string` Required. The query against which entries in scope should be matched. The query syntax is defined in [Search syntax for Dataplex Universal Catalog](https://cloud.google.com/knowledge-catalog/docs/search-syntax). |
| `pageSize` | `integer` Optional. Number of results in the search page. If \<=0, then defaults to 10. Max limit for pageSize is 1000. Throws an invalid argument for pageSize \> 1000. |
| `pageToken` | `string` Optional. Page token received from a previous `locations.searchEntries` call. Provide this to retrieve the subsequent page. |
| `orderBy` | `string` Optional. Specifies the ordering of results. Supported values are: - `relevance` - `last_modified_timestamp` - `last_modified_timestamp asc` |
| `scope` | `string` Optional. The scope under which the search should be operating. It must either be `organizations/<org_id>` or `projects/<project_ref>`. If it is unspecified, it defaults to the organization where the project provided in `name` is located. |
| `semanticSearch` | `boolean` Optional. Specifies whether the search should understand the meaning and intent behind the query, rather than just matching keywords. |
| `contexts[]` | `string` Optional. Specifies the scope of the context in which the search will be performed. This scope will also be used to perform IAM checks, which if passing, will return all resources in the scope. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "results": [ { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#SearchEntriesResult`) } ], "totalSize": integer, "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `results[]` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#SearchEntriesResult`)`` The results matching the search query. |
| `totalSize` | `integer` The estimated total number of matching entries. This number isn't guaranteed to be accurate. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Locations that the service couldn't reach. locations.search results don't include data from these locations. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`
- `
  https://www.googleapis.com/auth/dataplex.read-write`
- `
  https://www.googleapis.com/auth/dataplex.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `dataplex.projects.search`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## SearchEntriesResult

A single result of a locations.searchEntries request.

| JSON representation |
|---|
| ``` { "linkedResource": string, "dataplexEntry": { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`) }, "snippets": { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#Snippets`) } } ``` |

| Fields ||
|---|---|
| `linkedResource (deprecated)` | `string` > [!WARNING] > This item is deprecated! Linked resource name. |
| `dataplexEntry` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`)`` |
| `snippets (deprecated)` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/searchEntries#Snippets`)`` > [!WARNING] > This item is deprecated! Snippets. |

## Snippets

> [!WARNING]
> This item is deprecated!

Snippets for the entry, contains HTML-style highlighting for matched tokens, will be used in UI.

| JSON representation |
|---|
| ``` { "dataplexEntry": { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`) } } ``` |

| Fields ||
|---|---|
| `dataplexEntry (deprecated)` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`)`` > [!WARNING] > This item is deprecated! Entry |